#!/usr/bin/perl
# FILE: modhint.cgi
# DATE: 05/01/00
# AUTHOR: Guy Powell
# PROJECT: Dating.Com Clone [Admin Section]
# COPYRIGHT: PerlCoders.Com
# ----
# Description: Modifies the hints file.

chdir("..");
require "loadup.pl";

$tmpdir = "/tmp";

doparse();
print "Content-type: text/html\n\n";
if($in{'hint'} eq undef) {
  print "Please specify a hint.\n";
  exit;
}
if($in{'value'} eq undef) {
  print "Please enter a hint for $in{'hint'}.\n";
  exit;
}
open(hint, ">>$datingdir/other/hints") or $error = 1;
close(hint);
if($error) {
  print "Error opening file for WRITE\n";
  exit;
}
$error = 0;
open(hint, "<$datingdir/other/hints");
open(hint2, ">$tmpdir/hints") or $error = 1;
if($error) {
  close(hint);
  print "Error opening temporary file for write\n";
  exit;
}
$lno = 0;
while(<hint>) {
  $lno++;
  if($lno eq $in{'hint'}) { $_ = $in{'value'}."\n"; }
  print hint2 $_;
}
close(hint); close(hint2);
`mv $tmpdir/hints $datingdir/other/hints`;
print "Succeeded on updating $in{'hint'}\n";
