#!/usr/bin/perl
# FILE: recomendations.cgi
# DATE: 07/01/00
# AUTHOR: Guy Powell
# PROJECT: Dating.Com Clone [Admin Section]
# COPYRIGHT: PerlCoders.Com
# ----
# Description: Lists recomendations that users have selected and their %.

chdir("..");
require "loadup.pl";

doparse();

$dbh=DBI->connect("DBI:mysql:database=TotalDate;hostname=$dbhost", $dbuser, $dbpass, {RaiseError=>1});
$sth=$dbh->prepare("SELECT how_hear FROM tbl_Users");
$sth->execute;
$result=$sth->fetchrow_hashref;
$total = 0;
$diff = 0;
while($result->{'how_hear'} ne undef) {
  $total++;
  local($how) = lc($result->{'how_hear'});
  if($res{$how} eq undef) { $rc{$how} = $result->{'how_hear'}; $res{$how} = 1; $diff++; } else { $res{$how}++; }
  $result=$sth->fetchrow_hashref;
}
closedb();
print "Content-type: text/html\n\n";
print "Total users who supplied recomendations: $total <BR>\n";
print "Total differnet types of recomendations: $diff <BR>\n";
print "<HR width=75%>\n";
foreach $tmp (keys %res) {
  local($percentage) = (int(($res{$tmp} / $total) * 1000))/10;
  # Use the 1000 and /10 to get to 2dp
  print "<B>$rc{$tmp}\</B> ($percentage\%)<BR>\n";
}
print "<HR width=75%>\nList ends.\n";
