#!/usr/bin/perl
# FILE: auhtml3.cgi
# DATE: 08/01/00
# AUTHOR: Guy Powell
# PROJECT: Dating.Com Clone
# COPYRIGHT: PerlCoders.Com
# ----
# Description: Loads the HTML for "adding users".  Once again no security
# needed as they are not yet authed.

require "loadup.pl";
doparse();
$error = 0;
if($in{'nick'} eq undef) { $error++; $blanknick = 1; }
if($in{'name'} eq undef) { $error++; $blankname = 1; }
if($in{'password1'} ne $in{'password2'}) { $error++; $nomatch = 1; }
if($in{'password1'} eq undef) { $error++; $blankpass = 1; }
if($in{'bd_day'} eq undef) { $bdaymiss = 1; }
if($in{'bd_month'} eq undef) { $bdaymiss = 1; }
if($in{'bd_year'} eq undef) { $bdaymiss = 1; }
if(($in{'bd_day'} > "31") or ($in{'bd_day'} < "1")) { $bdayerr = 1; }
if(($in{'bd_month'} > "12") or ($in{'bd_month'} < "1")) { $bdayerr = 2; }
if(($in{'bd_year'} > "2020") or ($in{'bd_year'} < "1900")) { $bdayerr = 1; }
if($bdaymiss) {$error++;}
if($bdayerr) {$error++;}
$bday = $in{'bd_day'}."/".$in{'bd_month'}."/".$in{'bd_year'};
$age = calcage($bday);
if($age lt $allowage) { $error++; $tooyoung = 1; }
if(getuid($in{'nick'}) ne undef) { $error++; $ninuse = 1; }
if($error ne 0) {
  print "Content-type: text/html\n\n";
  open(html, "<$datingdir/html/adduser/errtop.html");
  while(<html>) {
    $_ =~s/\$errors/$error/g;
    print;
  }
  close(html);
  if($bdayerr) { dopage("aubdayerr"); }
  if($bdaymiss) { dopage("aubdaymiss"); }
  if($blanknick) { dopage("aublanknick"); }
  if($blankpass) { dopage("aublankpass"); }
  if($blankname) { dopage("aublankname"); }
  if($nomatch) { dopage("aupnomatch"); }
  if($ninuse) { dopage("auninuse"); }
  if($tooyoung) { dopage("autooyoung"); }
  dopage("auerrbottom");
  exit;
}

# No errors - proceed to load up the template... we load it
# here though because we have to insert $apass $anick $aname & $aemail
print "Content-type: text/html\n\n";
open(html, "<$datingdir/html/adduser/au3.html");
while(<html>) {
  $_ =~s/\$banner/$banner/g;
  $_ =~s/\$apass/$in{'password1'}/g;
  $_ =~s/\$anick/$in{'nick'}/g;
  $_ =~s/\$aname/$in{'name'}/g;
  $_ =~s/\$aemail/$in{'email'}/g;
  $_ =~s/\$acountry/$in{'country'}/g;
  $_ =~s/\$astate/$in{'state'}/g;
  $_ =~s/\$acity/$in{'city'}/g;
  $_ =~s/\$abd_year/$in{'bd_year'}/g;
  $_ =~s/\$abd_month/$in{'bd_month'}/g;
  $_ =~s/\$abd_day/$in{'bd_day'}/g;
  print;
}
close(html);
