#!/usr/bin/perl
# FILE: smhtml.cgi
# DATE: 04/01/00
# AUTHOR: Guy Powell
# PROJECT: Dating.Com Clone
# COPYRIGHT: PerlCoders.Com
# ----
# Description: Loads up the HTML template for sending messages

require "loadup.pl";

doparse();
if(!valcookie($in{'c'}, $in{'u'})) {
  dopage("autologout");
  exit;
}
if(!isver($in{'u'})) {
  dopage("errnotver");
  exit;
}
print "Content-type: text/html\n\n";
open(html, "<$datingdir/html/msgs/send.html");
while(<html>) {
  if(!ispriv($in{'u'})) {
    $_ =~s/\$banner/$banner/g;
  } else {
    $_ =~s/\$banner//g;
  }
  $_ =~s/\$user/$in{'u'}/g;
  $_ =~s/\$cookie/$in{'c'}/g;
  $_ =~s/\$to/$in{'to'}/g;
  $_ =~s/\$body/$in{'body'}/g;
  $_ =~s/\$subject/$in{'subject'}/g;
  print;
}
close(html);

