#!/usr/bin/perl
# FILE: ignre.cgi
# DATE: 04/01/00
# AUTHOR: Guy Powell
# PROJECT: Dating.Com Clone
# COPYRIGHT: PerlCoders.Com
# ----
# Description: Adds or removes a user to or from a user's ignore list so that
# he or she cannot send them messages.  Basically plonks someone on ignore :).

require "loadup.pl";

doparse();
if(!valcookie($in{'c'}, $in{'u'})) {
  dopage("autologout");
  exit;
}
$dbh=DBI->connect("DBI:mysql:database=TotalDate;hostname=$dbhost", $dbuser, $dbpass, {RaiseError=>1});
$sth=$dbh->prepare("SELECT * FROM tbl_Users WHERE UID=\"$in{'u'}\"");
$sth->execute;
$result=$sth->fetchrow_hashref;
$iglist = $result->{'ignores'};
if(lc($in{'type'}) eq "add") {
  @ilist = split/ /, $iglist;
  foreach $tmp (@ilist) {
    if(lc($tmp) eq lc($in{'who'})) {
      $found = 1;
    }
  }
  if($found ne 1) {
    if($iglist ne undef) {
      $iglist = $iglist." ".$in{'who'};
    } else {
      $iglist = $in{'who'};
    }
  } else {
    dopage("ignorealready"); $bad = 1;
  }
} elsif(lc($in{'type'}) eq "rem") {
  @ilist = split/ /, $iglist;
  local($il2) = "";
  foreach $tmp (@ilist) {
    if(lc($tmp) ne lc($in{'who'})) {
      if($il2 eq undef) {
        $il2 = $tmp;
      } else {
        $il2 = $il2." ".$tmp;
      }
    }
  }
  $iglist = $il2;
} else {
  dopage("errbadcode"); $bad = 1;
}
$sth=$dbh->prepare("UPDATE tbl_Users SET ignores=\"$iglist\" WHERE UID=\"$in{'u'}\"");
$sth->execute;
closedb();
if($bad ne 1) { dopage("ignoreok"); }

